# Tripo H3.1 Text to 3D API

> Text-to-3D mesh generator na may negative prompt, magkahiwalay na geometry at texture quality tier, at napakataas na face cap

Gumagawa ng 3D modelo mula sa teksto description na hanggang 1024 character, na may opsyonal na `negative_prompt` para sa mga feature na dapat iwasan. Tumatanggap ang `face_limit` ng 1,000 hanggang 2,000,000 face. Maaaring standard o detailed ang `geometry_quality` at `texture_quality`. Kasama sa mga opsyon ang PBR materials, quad topology, auto-scaling sa real-world size, at magkahiwalay na seed para sa geometry, text-to-image hakbang at texture.

- Model id: `tripo3d/h3.1/text-to-3d`
- Made by: Tripo
- Category: Text to 3D
- Output: 3d
- Price per run: from $0.10 / run (cheapest run $0.10 (100 API credits))
- Run: `POST https://api.doitong.ru/v1/run/tripo3d/h3.1/text-to-3d`
- Quote: `POST https://api.doitong.ru/v1/quote/tripo3d/h3.1/text-to-3d`
- Docs page: https://doitong.com/fil/developers/models/tripo3d/h3.1/text-to-3d

## Pricing

Price: **from $0.10 / run** (the lowest tier; the quote prices your exact input). Price per run: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.20 = 200 API credits (1 run × $0.20).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/tripo3d/h3.1/text-to-3d` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  | ≤ 1024 characters | Text na paglalarawan ng ninanais na 3D object, na limitado sa 1024 character. |
| `negative_prompt` |  | string \| null | no |  | ≤ 1024 characters | Paglalarawan ng mga feature na dapat alisin sa nabuong modelo. |
| `face_limit` |  | integer \| null | no |  | 1,000 – 2,000,000 | Tiyak na target na bilang ng face para sa mesh pagbuo, na pumapalit sa adaptive count selection ng modelo kapag ibinigay. |
| `texture` |  | boolean | no | `true` |  | Kinokontrol kung tatanggap ang modelo ng mga nabuong texture. |
| `pbr` |  | boolean | no | `true` |  | I-enable ang mga PBR material (Physically Based Rendering), na nag-a-activate din ng pagbuo ng texture kapag true. |
| `model_seed` |  | integer \| null | no |  |  | Seed na ginagamit para maging reproducible ang pagbuo ng geometry. |
| `image_seed` |  | integer \| null | no |  |  | Seed na ginagamit sa yugto ng text-to-image. |
| `texture_seed` |  | integer \| null | no |  |  | Seed na ginagamit para maging reproducible ang pagbuo ng texture. |
| `texture_quality` |  | enum (string) | no | `standard` | `standard`, `detailed` | Setting ng kalidad ng texture; ang pagpili sa 'detailed' ay nagpapataas ng resolution ng texture. |
| `geometry_quality` |  | enum (string) | no | `standard` | `standard`, `detailed` | Setting ng kalidad para sa geometry. |
| `auto_size` |  | boolean | no | `false` |  | Awtomatikong pag-scale para bigyan ang modelo ng mga dimensiyong pangtotoong-buhay na sinusukat sa metro. |
| `quad` |  | boolean | no | `false` |  | Pumili sa pagitan ng triangular faces at quads na may 4 na panig sa pamamagitan ng pag-enable ng quad topology. Para sa mga resulta na quad, isang FBX file ang ibinabalik kapag FBX bytes ang ibinigay ng Tripo. |
| `enable_safety_checker` |  | boolean | no | `true` |  | Maaaring luwagan ang screening sa pamamagitan ng pagtatakda ng false, kung awtorisado ang tumatawag. |

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/h3.1/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/tripo3d/h3.1/text-to-3d?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/tripo3d/h3.1/text-to-3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "tripo3d/h3.1/text-to-3d",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/h3.1/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `model_mesh` | object {url, content_type, file_name, file_size} | GLB o FBX file na naglalaman ng nabuong 3D modelo, kung saan ang format ay nakadepende sa ginagawa ng Tripo. |
| `model_urls` | object {glb, fbx, base_model, pbr_model} | Mga URL na tumutukoy sa mga alternatibong bersyon ng 3D modelo. |
| `rendered_image` | object {url, content_type, file_name, file_size} \| null | Nai-render na preview na nagpapakita ng nabuong 3D modelo. |
| `task_id` | string \| null | Reusable na Tripo task ID na tumutukoy sa nabuong modelo para sa rig o rig-check, kaya maisasagawa ang mga operasyong iyon nang hindi muling nag-a-upload ng modelo. |

## Related models

- [Tripo H3.1 Image to 3D](https://doitong.com/developers/models/tripo3d/h3.1/image-to-3d.md) (`tripo3d/h3.1/image-to-3d`): from $0.20 / run
- [Tripo H3.1 Multiview to 3D](https://doitong.com/developers/models/tripo3d/h3.1/multiview-to-3d.md) (`tripo3d/h3.1/multiview-to-3d`): from $0.20 / run
- [Tripo P1 Text to 3D](https://doitong.com/developers/models/tripo3d/p1/text-to-3d.md) (`tripo3d/p1/text-to-3d`): $1.10 / run
- [Tripo P2 Text to 3D](https://doitong.com/developers/models/tripo3d/p2/text-to-3d.md) (`tripo3d/p2/text-to-3d`): from $1.00 / run
- [Hunyuan 3d](https://doitong.com/developers/models/hunyuan-3d/v3.1/rapid/text-to-3d.md) (`hunyuan-3d/v3.1/rapid/text-to-3d`): from $0.225 / request
- [Hunyuan 3D Pro Text to 3D](https://doitong.com/developers/models/hunyuan-3d/v3.1/pro/text-to-3d.md) (`hunyuan-3d/v3.1/pro/text-to-3d`): $0.375 / run
- [Hunyuan Motion \[0.46B\]](https://doitong.com/developers/models/hunyuan-motion/fast.md) (`hunyuan-motion/fast`): $0.06 / request
- [Hunyuan Motion \[1B\]](https://doitong.com/developers/models/hunyuan-motion.md) (`hunyuan-motion`): $0.08 / request

## Links

- HTML page: https://doitong.com/developers/models/tripo3d/h3.1/text-to-3d
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=tripo3d/h3.1/text-to-3d
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/tripo3d/h3.1/text-to-3d
